Page MenuHomeFreeBSD

Go ports: cleanup, finish transition to USES=go started with r505321 (cat. misc-shells)
ClosedPublic

Authored by dmgk on Sep 21 2019, 9:16 PM.

Details

Summary

Go ports: cleanup, finish transition to USES=go started with r505321 (cat. misc-shells)

  • Remove custom build/install targets left in place after r505321
  • Switch to the new GO_TARGET tuple syntax introduced in r512001
  • Switch to go:modules when upstream already uses them
Test Plan

poudriere bulk -C: OK (113i, 120a)
exp-run

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dmgk created this revision.Sep 21 2019, 9:16 PM
tobik accepted this revision.Sep 23 2019, 4:39 AM
tobik added inline comments.
net-mgmt/kapacitor/Makefile
55–57 ↗(On Diff #62402)

This is in the wrong place. Consider moving this upwards to after GH_SUBDIR.

net/traefik/Makefile
32–36 ↗(On Diff #62402)

Consider moving this to after USE_RC_SUBR too.

security/meek/Makefile
41–45 ↗(On Diff #62402)

go test support in USES=go next? 0:-)

This revision is now accepted and ready to land.Sep 23 2019, 4:39 AM
dmgk updated this revision to Diff 62457.Sep 23 2019, 12:09 PM
dmgk marked 2 inline comments as done.

Fix variables ordering.

This revision now requires review to proceed.Sep 23 2019, 12:09 PM
dmgk edited the test plan for this revision. (Show Details)Sep 23 2019, 12:09 PM
tobik accepted this revision.Sep 23 2019, 4:00 PM
This revision is now accepted and ready to land.Sep 23 2019, 4:00 PM
dmgk added inline comments.Sep 23 2019, 4:30 PM
security/meek/Makefile
41–45 ↗(On Diff #62402)

Something like GO_TEST_TARGET? I'll look into it..

araujo accepted this revision.Sep 24 2019, 1:58 AM

LGTM, same thing as the other reviews, wait for the exp-run and also for the portmgr approval.